Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.saxon.expr
Class XPathContextMajor.XSLTContext

    java.lang.Object
      net.sf.saxon.expr.XPathContextMajor.XSLTContext

Enclosing class:
  XPathContextMajor

protected static class XPathContextMajor.XSLTContext
extends java.lang.Object

An XSLTContext object holds all the additional dynamic context items used in XSLT. These are held in a separate object for two reasons: firstly, they don't change often, so it's costly to copy them every time a new context object is created, and secondly, they aren't used at all in XQuery, they just add overhead.

Field Summary
`GroupIterator` | `currentGroupIterator`
`Mode` | `currentMode`
`RegexIterator` | `currentRegexIterator`
`Template` | `currentTemplate`
`ParameterSet` | `tunnelParameters`

Constructor Summary
`XPathContextMajor.XSLTContext(XPathContextMajor.XSLTContext original)` Create a new XSLTContext optionally by copying an existing XSLTContext

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### tunnelParameters

    public ParameterSet tunnelParameters

### currentMode

    public Mode currentMode

### currentTemplate

    public Template currentTemplate

### currentGroupIterator

    public GroupIterator currentGroupIterator

### currentRegexIterator

    public RegexIterator currentRegexIterator

Constructor Detail

### XPathContextMajor.XSLTContext

    public XPathContextMajor.XSLTContext(XPathContextMajor.XSLTContext original)

  Create a new XSLTContext optionally by copying an existing XSLTContext

Parameters:
  `original` - the existing XSLTContext. May be null, in which case a new XSLTContext is created from scratch.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD